import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  serviceLineId: z.literal(true).optional(),
  transactionId: z.literal(true).optional(),
  paidAmount: z.literal(true).optional(),
  adjustedAmount: z.literal(true).optional(),
  method: z.literal(true).optional(),
  receivedDate: z.literal(true).optional(),
  payerName: z.literal(true).optional(),
  notes: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const ServiceLineTransactionMinAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineTransactionMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionMinAggregateInputType>;
export const ServiceLineTransactionMinAggregateInputObjectZodSchema = makeSchema();
